﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CustomDialog
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Form2 form2 = new Form2();
            form2.Owner = this;
            form2.ShowDialog();

            if (form2.DialogResult == DialogResult.OK) // OK 버튼
            {
                label1.Text = form2.textBox1.Text;  // form1의 label
                MessageBox.Show(label1.Text, "OK");
            }
            else if (form2.DialogResult == DialogResult.Cancel) // Cancel 버튼
            {
                MessageBox.Show("Cancel", "Cancel");
            }
            form2 = null;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Form3 form3 = new Form3();
            form3.Owner = this;
            form3.Show();
            string str = form3.textBox1.Text;  // form1의 str
        }
    }
}
